org.apache.http.impl.cookie

## Class RFC2965DiscardAttributeHandler

- java.lang.Object
- - org.apache.http.impl.cookie.RFC2965DiscardAttributeHandler

- All Implemented Interfaces:
    CommonCookieAttributeHandler, CookieAttributeHandler

      @Contract(threading=IMMUTABLE)
      public class RFC2965DiscardAttributeHandler
      extends Object
      implements CommonCookieAttributeHandler

  `"Discard"` cookie attribute handler for RFC 2965 cookie spec.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFC2965DiscardAttributeHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttributeName()`
    `boolean` | `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
    `void` | `parse(SetCookie cookie, String commenturl)` Parse the given cookie attribute value and update the corresponding `Cookie` property.
    `void` | `validate(Cookie cookie, CookieOrigin origin)` Peforms cookie validation for the given attribute value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RFC2965DiscardAttributeHandler

          public RFC2965DiscardAttributeHandler()

  - ### Method Detail

    - #### parse

          public void parse(SetCookie cookie,
                   String commenturl)
                     throws MalformedCookieException

      Description copied from interface: `CookieAttributeHandler`
      Parse the given cookie attribute value and update the corresponding `Cookie` property.
      Specified by:
        `parse` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to be updated
        `commenturl` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException`

    - #### validate

          public void validate(Cookie cookie,
                      CookieOrigin origin)
                        throws MalformedCookieException

      Description copied from interface: `CookieAttributeHandler`
      Peforms cookie validation for the given attribute value.
      Specified by:
        `validate` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to validate
        `origin` - the cookie source to validate against
      Throws:
        `MalformedCookieException` - if cookie validation fails for this attribute

    - #### match

          public boolean match(Cookie cookie,
                      CookieOrigin origin)

      Description copied from interface: `CookieAttributeHandler`
      Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
      Specified by:
        `match` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to match
        `origin` - the cookie source to match against
      Returns:
        `true` if the match is successful; `false` otherwise

    - #### getAttributeName

          public String getAttributeName()

      Specified by:
        `getAttributeName` in interface `CommonCookieAttributeHandler`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.